
button, input, select, optgroup, textarea {
    font: inherit;
    font-feature-settings: inherit;
    font-variation-settings: inherit;
    letter-spacing: inherit;
    color: inherit;}
button{outline: none;}

.menu-wrapper{max-width: 1450px;margin: auto;padding-block: 30px;}
.top-strip {height: 25px;background: #ED1556;}
.container {max-width: 1240px;margin-inline: auto;padding-inline: 20px;}

/* =========================HEADER========================== */
.catalog_header {padding-top: 60px;text-align: center;}

/* =========================LANGUAGE TAB========================= */
/* .lang_switcher{display:flex;justify-content:flex-end;margin-block:25px;flex-wrap:wrap;overflow: hidden;margin-right: 25px;}
.lang-btn{min-width:42px;height:36px;color:#A09CAB;font-size:14px;font-weight:700;letter-spacing:0.5px;cursor:pointer;transition:0.25s ease;border: none;background-color: #EFF1F5;}
.lang-btn:hover{border-color:#ED1556;color:#ED1556;}
.lang-btn.active{background:#37465D;color:#fff;} */

/* =========================LANGUAGE DROPDOWN========================= */

.lang_switcher{display:flex;align-items:center;justify-content: center;}
.custom-select{position:relative;width:180px}
.lang-dropdown{width:100%;padding:10px 40px 10px 14px;border:1px solid #ddd;background:#fff;font-size:14px;font-weight:500;color:#333;cursor:pointer;outline:0;appearance:none;-webkit-appearance:none;transition:.25s}
.lang-dropdown:hover,.lang-dropdown:focus{border-color:#ED1556;box-shadow:0 0 0 3px rgba(255,152,0,.15)}
.select-arrow{position:absolute;top:50%;right:14px;transform:translateY(-50%);pointer-events:none;font-size:11px;color:#ED1556;transition:.25s;width: 14px;height: 14px;}
.custom-select:focus-within .select-arrow{transform:translateY(-50%) rotate(180deg)}
.lang-dropdown option{font-size:14px}

.catalog_header h1 {font-size: 26px;font-weight: 700;margin-bottom: 20px;}

.toggle_wrapper {display: flex;justify-content: center;max-width: 340px;background-color: #EFF1F5;margin: 0 auto 30px;}
.toggle_btn {display: flex;align-items: center;justify-content: center;gap: 8px;border: none;background: #EFF1F5;color: #A09CAB;cursor: pointer;transition: 0.25s ease;padding: 10px 12px;font-size: 16px;font-weight: 500;flex: 1 1 0%;}
.toggle_btn.active {background: #ED1556;color: #fff;}
.icon {width: 22px;height: 22px;fill: currentColor;}
/* TAB CONTENT */
.tab_content {display: none;animation: fadeIn 0.3s ease;}
.tab_content.active {display: block;margin-bottom: 60px ;}

/* =========================STORE SECTION========================= */

.store_section {background: #37465D;padding: 60px 0;}
.store_section .section_title {text-align: center;color: #ffffff;}
.store_grid {display: grid;grid-template-columns: repeat(2, 1fr);gap: 24px;max-width: 750px;margin-inline: auto;}

.store_card {background: #fff;padding: 20px;text-align: center;border: 1px solid #D9D9D9;}
.store_card hr{opacity: 0.3;}
.store_card h3 {font-size: 18px;margin-bottom: 12px;color: #37465D;display: flex;justify-content: center;align-items: center;gap: 12px;}
.store_card p {font-size: 16px;margin-block: 12px;color: #37465D;}
.store_link {display: flex;color: #37465D;font-weight: 300;padding-bottom: 12px;text-decoration: underline;align-items: center;justify-content: center;gap: 12px;}
.store_phone {font-weight: 700;font-size: 18px;color: #37465D;padding-top: 12px;display: inline-block;}

@keyframes fadeIn {from {opacity: 0;}to {opacity: 1;}}
.sub_text {font-size: 32px;text-align: center;padding-inline: 20px;}

/* ---------- HEADER ---------- */
.menu-header{display:flex;align-items:center;justify-content:space-between;margin-bottom:24px;gap:20px;flex-wrap:wrap;}
.menu-title{display:flex;align-items:center;gap:16px;}

/* .title-box h2{font-size: 20px;font-weight:800;letter-spacing:-1px;color: #ED1556;}
.title-box p{color:#6b7280;margin-top:4px;font-size:16px;} */

/* ---------- TABLE ---------- */
.menu-table{background:#ffffff;border:1px solid #D9D9D9;overflow:hidden;}
.table-head,.table-row{display:grid;grid-template-columns: 2.3fr 1fr 2.2fr 140px;align-items:center;gap:20px;padding: 13px 27px;}
.table-head{background: #e6e6e6;border-bottom:1px solid #D9D9D9;font-size:13px;font-weight:700;color: #333;text-transform:uppercase;letter-spacing:0.7px;}
.table-row{border-bottom:1px solid #D9D9D9;transition:var(--transition);}
.table-row:last-child{border-bottom:none;}
.table-row:hover{background:#e6e6e682;}

/* ---------- PRODUCT ---------- */
.product{display:flex;align-items:center;gap:18px;min-width:0;}
.product-name{font-size: 16px;font-weight:700;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
.panel-heading{margin-bottom: 0!important;}

/* ---------- TAG ---------- */
.tag{display:inline-flex;align-items:center;justify-content:center;padding: 4px 9px;color: #333;font-size:13px;font-weight:700;width:max-content;}
.tagbg{background: #e6e6e6;}

/* ---------- PACK SIZES ---------- */
.sizes{display:flex;align-items:center;flex-wrap:wrap;gap:12px;}
.size-btn{border: 1.5px solid #e6e6e6;background:#fff;color: #333;padding:5px 10px 4px;font-weight:600;cursor:pointer;transition:var(--transition);font-size:13px;}
.size-btn:hover{border-color:#ED1556;color:#ED1556;}
.size-btn.active{background:#37465d;color:#fff;border-color:#37465d;}

/* ---------- PRICE ---------- */
.price{color:#ED1556;font-size: 16px;font-weight:800;white-space:nowrap;}

/* ---------- RESPONSIVE ---------- */

@media (max-width: 1024px){
  .table-head{display:none;}
  .table-row{grid-template-columns:1fr;gap:18px;}
  .price{justify-self:start;}
  .product-name{font-size:22px;}
}

@media (max-width: 992px) {
  .product_grid {grid-template-columns: repeat(2, 1fr);}
}

@media (max-width: 768px) {
  /* .title-box h2{font-size:30px;} */
  .product-name{font-size:20px;}
  .price{font-size:22px;}
  .table-row{padding:20px;gap: 10px;}
  .menu-wrapper{padding-block: 15px;}
  .menu-header{margin-bottom: 10px;}
  .catalog_header {padding-top: 40px;}
  .catalog_header h1 {line-height: 1.2;}
  .sub_text{line-height: 1.2;}
  .custom-select{width: 140px;}
  .lang-btn{min-width:38px;height:34px;font-size:11px;}
  .product_grid {grid-template-columns: 1fr;}
  .store_grid {grid-template-columns: 1fr;}
  .section_title {font-size: 26px;}
  .store_section {padding: 40px 0;}
  .product_section {padding-bottom: 40px;}
}

@media (max-width: 480px) {
  .sub_text{font-size: 28px;}
  .toggle_btn {width: 100%;}
  .search_box input {height: 50px;}
  .category_list {gap: 10px;}
  .category_btn {width: calc(50% - 5px);}
}

@media (max-width: 380px) {
  .product_title{font-size: 14px;line-height: 18px;}
  .product_price{font-size: 14px;}
}
